# Copyright 2021 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


deep-remove-regex:
- "/java-optimization/samples/snippets/generated"
- "/java-optimization/grpc-google-.*/src"
- "/java-optimization/proto-google-.*/src"
- "/java-optimization/google-.*/src"

deep-preserve-regex:
- "/java-optimization/google-.*/src/test/java/com/google/cloud/.*/v.*/it/IT.*Test.java"

deep-copy-regex:
- source: "/google/cloud/optimization/(v.*)/.*-java/proto-google-.*/src"
  dest: "/owl-bot-staging/java-optimization/$1/proto-google-cloud-optimization-$1/src"
- source: "/google/cloud/optimization/(v.*)/.*-java/grpc-google-.*/src"
  dest: "/owl-bot-staging/java-optimization/$1/grpc-google-cloud-optimization-$1/src"
- source: "/google/cloud/optimization/(v.*)/.*-java/gapic-google-.*/src"
  dest: "/owl-bot-staging/java-optimization/$1/google-cloud-optimization/src"
- source: "/google/cloud/optimization/(v.*)/.*-java/samples/snippets/generated"
  dest: "/owl-bot-staging/java-optimization/$1/samples/snippets/generated"

api-name: cloudoptimization
